Chrome-less shell hint does not work any more

Bug #1658117 reported by Víctor R. Ruiz on 2017-01-20
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Canonical System Image
Medium
Michał Sawicz
miral (Ubuntu)
Undecided
Lukáš Tinkl
qtmir (Ubuntu)
Undecided
Lukáš Tinkl
unity8 (Ubuntu)
Medium
Lukáš Tinkl

Bug Description

Test case.
- Open camera in device mode.

Expected result.
- Camera opens full screen and top menu hides.

Actual result.
- Camera opens full screen but top menu is not hidden.

current build number: 127
device name: frieza_arm64
channel: ubuntu-touch/staging/ubuntu

Related branches

Víctor R. Ruiz (vrruiz) wrote :
Michał Sawicz (saviq) on 2017-01-24
Changed in unity8 (Ubuntu):
status: New → Triaged
Changed in canonical-devices-system-image:
status: New → Triaged
importance: Undecided → Medium
Changed in unity8 (Ubuntu):
importance: Undecided → Medium
summary: - Camera app shows top menu
+ Chrome-less shell hint does not work any more
Changed in unity8 (Ubuntu):
assignee: nobody → Nick Dedekind (nick-dedekind)
Changed in canonical-devices-system-image:
assignee: nobody → Michał Sawicz (saviq)
Changed in miral (Ubuntu):
status: New → In Progress
assignee: nobody → Lukáš Tinkl (lukas-kde)
Changed in unity8 (Ubuntu):
assignee: Nick Dedekind (nick-dedekind) → Lukáš Tinkl (lukas-kde)
status: Triaged → In Progress
Changed in qtmir (Ubuntu):
assignee: nobody → Lukáš Tinkl (lukas-kde)
status: New → In Progress
no longer affects: qtubuntu (Ubuntu)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package miral - 1.2.0+17.04.20170215.1-0ubuntu1

---------------
miral (1.2.0+17.04.20170215.1-0ubuntu1) zesty; urgency=medium

  * New upstream release 1.2.0 (https://launchpad.net/miral/+milestone/1.2)

    - ABI summary:
      . miral ABI unchanged at 2
    - Enhancements:
      . New libmirclientcpp-dev package "C++ wrapper for libmirclient". (Split
        from libmiral-dev)
      . Give miral-app and miral-desktop a good default for -bindir
      . More surface to window renaming to reflect Mir name changes
      . Refresh the "Building and Using MirAL" doc
    - Bugs fixed:
      . Chrome-less shell hint does not work any more (LP: #1658117)
      . WindowSpec::set_state() wrapper for mir_window_spec_set_state()
        (LP: #1661256)
      . "$ miral-app -kiosk" fails with "Unknown command line options:
        --desktop_file_hint=miral-shell.desktop" (LP: #1660933)
      . libmiral] Fix focus and movement rules for Input Method and Satellite
         windows. (LP: #1660691)

 -- Alan Griffiths <email address hidden> Wed, 15 Feb 2017 14:05:46 +0000

Changed in miral (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity8 - 8.15+17.04.20170308-0ubuntu1

---------------
unity8 (8.15+17.04.20170308-0ubuntu1) zesty; urgency=medium

  [ Albert Astals Cid ]
  * Let's follow the keyboard order
  * Enable the license check (LP: #1590044)
  * Show a barebones error message if loading the QML doesn't work
  * Make sure cursor is back to normal when closing the window (LP:
    #1666158)
  * Fix small warning when sensitive is undefined
  * Remove unused member variable
  * Initialize m_msecsSinceReference
  * Add warning if registerService fails
  * Move menus Component {} out of the repeater
  * Add tool to browse menus of a running app

  [ Daniel d'Andrada ]
  * Drag child windows with Alt+LeftMouseButton (LP: #1664947)

  [ Gerry Boland ]
  * TopLevelWindowModel: connect to the OSK surface to know when it goes
    away so we can clean up after it. (LP: #1670681)

  [ Josh Arenson ]
  * Initialize sessionMode to single when mock is reset (LP: #1667463)

  [ Lukáš Tinkl ]
  * Make the menu string "Back" translatable
  * Let the OSK be driven by a switch in indicator-keyboard (LP:
    #1521518)
  * Disable the tutorial when there's no touchscreen (LP: #1661557)
  * Shell chrome fixes (LP: #1658117, #1665723, #1665724, #1669010)
  * Cancel the drag as soon as we're entering the spread (LP: #1668642)
  * Fix being unable to use window control buttons or menus with touch
    (LP: #1667604, #1668387)

  [ Michael Terry ]
  * Set QT_IM_MODULE in the greeter so that the OSK can come up. (LP:
    #1670383)
  * Simplify our startup handling of Mir environment variables and set
    the right socket path in snappy.

  [ Michael Zanetti ]
  * Cancel the home key activation if something else is pressed along
    with Meta (LP: #1670678)
  * close the drawer when something is launched from the launcher (LP:
    #1660367)
  * use a svg instead of a png for the Launcher's BFB (LP: #1668057)
  * change the default setting for the launcher autohiding (LP:
    #1670655)

  [ Nick Dedekind ]
  * Split up Shell::test_spreadDisabled to ensure initial state for each
    test.

 -- Michał Sawicz <email address hidden> Wed, 08 Mar 2017 09:56:46 +0000

Changed in unity8 (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qtmir - 0.5.1+17.04.20170307-0ubuntu1

---------------
qtmir (0.5.1+17.04.20170307-0ubuntu1) zesty; urgency=medium

  [ Albert Astals Cid ]
  * Fix clang build

  [ Daniel d'Andrada ]
  * Some qtmir::Session fixes
  * Make TaskController absorb SessionManager
  * Don't pass command line arguments to Mir
  * Reduce default log verbosity (LP: #1664151)
  * DBusFocusInfo: fix crash when trying to access a null session from
    an application (LP: #1670710)

  [ Gerry Boland ]
  * Workaround for Mir changing GL state unexpectedly on Qt, breaking
    font rendering. (LP: #1583088)

  [ Lukáš Tinkl ]
  * Use the shell chrome, as provided by miral window info (LP:
    #1658117)

 -- Lukáš Tinkl <email address hidden> Tue, 07 Mar 2017 23:43:16 +0000

Changed in qtmir (Ubuntu):
status: In Progress → Fix Released
Michał Sawicz (saviq) on 2017-03-13
Changed in canonical-devices-system-image:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers